> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a node

> Deletes a specific node by subject



## OpenAPI

````yaml /api-reference/endpoint/hub-flows/openapi.json delete /hub/nodes/{collection_topic}/{node_topic}
openapi: 3.0.0
info:
  title: quiva.ai Gateway
  description: API for managing collections, nodes, and workflows in quiva.ai Hub
  version: 0.1.0
  contact:
    name: quiva.ai Support
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Collections
    description: Operations related to collections
  - name: Nodes
    description: Operations related to nodes
  - name: Workflows
    description: Operations related to workflows
  - name: Oauth
    description: Oauth configurations and connections
paths:
  /hub/nodes/{collection_topic}/{node_topic}:
    parameters:
      - $ref: '#/components/parameters/collectionTopic'
      - $ref: '#/components/parameters/nodeTopic'
    delete:
      tags:
        - Nodes
      summary: Delete a node
      description: Deletes a specific node by subject
      operationId: deleteNode
      responses:
        '200':
          description: Node deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
              example:
                message: success
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                InvalidSubject:
                  value:
                    error: invalid subject
components:
  parameters:
    collectionTopic:
      name: collection_topic
      in: path
      description: >-
        The topic is a hash of the name that was used when a collection was
        created
      required: true
      schema:
        type: string
      example: '1234567890'
    nodeTopic:
      name: node_topic
      in: path
      description: Node topic - hash of the names the node was created with
      required: true
      schema:
        type: string
      example: '98765432'
  schemas:
    SuccessResponse:
      type: object
      properties:
        message:
          type: string
          description: Success message
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````